सामग्री पर जाएँ

Tripo P2 Text to 3D

इंटीग्रेट करें

मॉडल id tripo3d/p2/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.10 1,100 API क्रेडिट · ≈ ₽118.34 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Tripo टेक्स्ट से 3D #3d#text-to-3d#3d-generation#low-poly

PBR, क्वाड मेश, चयन योग्य टेक्सचर संस्करण और नेगेटिव प्रॉम्प्ट वाला टेक्स्ट-टू-3D, P2 टेक्स्ट संस्करण

Tripo · 3D

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 1024

वांछित 3D ऑब्जेक्ट का टेक्स्ट में विवरण, 1024 वर्णों तक सीमित।

texture_quality डिफ़ॉल्ट standard

टेक्सचर की गुणवत्ता सेटिंग।

उन्नत negative_prompt · texture_version · export_orientation · face_limit · image_seed · model_seed · texture_seed · delight · auto_size · export_uv · quad · enable_safety_checker
0 / 255

निर्मित मॉडल से बाहर रखी जाने वाली सुविधाओं का विवरण।

texture_version

टेक्सचर मॉडलिंग के लिए उपयोग किया गया संस्करण। तेज़ गुणवत्ता के लिए v3.5-20260815 चुनें; उस गुणवत्ता के लिए अन्य संस्करण समर्थित नहीं हैं।

export_orientation

निर्दिष्ट होने पर मॉडल निर्यात के लिए forward-axis सेटिंग।

मेश फेस की ऊपरी सीमा; क्वाड टोपोलॉजी के लिए अलग से 25,000 की सीमा है।

आंतरिक टेक्स्ट-टू-इमेज चरण के दौरान उपयोग किया गया सीड।

geometry निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।

texture निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।

POST /run/tripo3d/p2/text-to-3d?wait=20 कोटेशन → $1.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Tripo P2 Text to 3D के बारे में

अधिकतम 1024 वर्णों वाले प्रॉम्प्ट से 3D मॉडल जनरेट करता है, जिसमें अधिकतम 255 वर्णों वाला `negative_prompt` शामिल हो सकता है। मेष 50,000 फ़ेस तक, या `quad` चालू होने पर 25,000 फ़ेस तक हो सकते हैं। टेक्सचर की गुणवत्ता तेज़ से अत्यधिक तक होती है, जिसमें चयन योग्य `texture_version`, वैकल्पिक PBR, डिलाइटिंग और UV एक्सपोर्ट उपलब्ध हैं। इमेज चरण, ज्यामिति और टेक्सचर के लिए सीड उपलब्ध हैं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 1,024 अक्षर
वांछित 3D ऑब्जेक्ट का टेक्स्ट में विवरण, 1024 वर्णों तक सीमित।
negative_promptवैकल्पिक
प्रकारstring | null
≤ 255 अक्षर
निर्मित मॉडल से बाहर रखी जाने वाली सुविधाओं का विवरण।
image_seedवैकल्पिक
प्रकारinteger | null
आंतरिक टेक्स्ट-टू-इमेज चरण के दौरान उपयोग किया गया सीड।
model_seedवैकल्पिक
प्रकारinteger | null
geometry निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।
face_limitवैकल्पिक
प्रकारinteger | null
48 – 50,000
मेश फेस की ऊपरी सीमा; क्वाड टोपोलॉजी के लिए अलग से 25,000 की सीमा है।
textureवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यह नियंत्रित करता है कि मॉडल को निर्मित textures मिलें या नहीं।
pbrवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
PBR मटेरियल मैप के निर्माण को नियंत्रित करता है। PBR चालू करने पर टेक्सचर भी सक्रिय हो जाते हैं।
texture_seedवैकल्पिक
प्रकारinteger | null
texture निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।
texture_qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टstandard
faststandarddetailedextreme
टेक्सचर की गुणवत्ता सेटिंग।
texture_versionवैकल्पिक
प्रकारenum
v3.5-20260815v3.0-20250812v2.5-20250123
टेक्सचर मॉडलिंग के लिए उपयोग किया गया संस्करण। तेज़ गुणवत्ता के लिए v3.5-20260815 चुनें; उस गुणवत्ता के लिए अन्य संस्करण समर्थित नहीं हैं।
delightवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
v3.5-20260815 का उपयोग करके टेक्सचरिंग से पहले पहले से मौजूद प्रकाश को हटाना।
auto_sizeवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
मीटर में मापे गए वास्तविक दुनिया के आयाम देने के लिए स्वचालित स्केलिंग।
export_uvवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि मॉडल को निर्मित UV निर्देशांक मिलें या नहीं।
export_orientationवैकल्पिक
प्रकारenum
+x-x-y+y
निर्दिष्ट होने पर मॉडल निर्यात के लिए forward-axis सेटिंग।
quadवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
त्रिभुजों के बजाय क्वाड का उपयोग करने वाली मेश टोपोलॉजी।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/p2/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1100,
    "usd": "1.10",
    "charged": 1100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
model_mesh
object {url, content_type, file_name, file_size}निर्मित 3D मॉडल वाली GLB या FBX फ़ाइल; फ़ॉर्मैट Tripo द्वारा निर्मित फ़ॉर्मैट पर निर्भर करता है।
model_urls
object {glb, fbx, base_model, pbr_model}3D मॉडल के वैकल्पिक संस्करणों की ओर संकेत करने वाले URL।
rendered_image
object {url, content_type, file_name, file_size} | nullनिर्मित 3D मॉडल दिखाने वाला rendered preview।
task_id
string | nullनिर्मित मॉडल की पहचान करने वाला पुनः उपयोग योग्य Tripo task ID, जिससे किसी अन्य मॉडल upload के बिना rig या rig-check ऑपरेशन किए जा सकते हैं।

और मॉडल: टेक्स्ट से 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/tripo3d/p2/text-to-3d.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt